Bug 1223646 - HP 820 G1 4G Modem is not detected by NetworkManager
Summary: HP 820 G1 4G Modem is not detected by NetworkManager
Keywords:
Status: CLOSED DUPLICATE of bug 1253946
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ModemManager
Version: 7.1
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Dan Williams
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1253943 1253946 1253955 1303955
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 06:17 UTC by Siteshwar Vashisht
Modified: 2019-12-16 04:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-15 14:42:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
mbimcli-query (6.27 KB, text/plain)
2015-05-21 06:24 UTC, Siteshwar Vashisht
no flags Details
mbimcli.out, ModemManager-debug.log, NetworkManager-debug.log (44.12 KB, application/x-gzip)
2015-07-15 20:16 UTC, Donald Berry
no flags Details
Kernel patch to add modem's USB ID to qmi_wwan and qcserial drivers (submitted upstream) (1.29 KB, patch)
2015-08-16 02:09 UTC, David Ward
no flags Details | Diff
output from acpidump -o acpi.dat at BIOS v.130 (754.22 KB, text/plain)
2015-08-26 13:54 UTC, JYundt
no flags Details
updated acpidump from BIOS v1.32 (755.02 KB, text/plain)
2015-09-03 13:26 UTC, JYundt
no flags Details
Screencast of trying to connect with updated libqmi/libmbim/ModemManager (and the latest copr built RHEL7 kernel). (296.49 KB, application/octet-stream)
2015-09-03 14:04 UTC, JYundt
no flags Details
NetworkManager debug logs using dpward copr builds. (505.52 KB, text/plain)
2015-09-03 18:10 UTC, JYundt
no flags Details
ModemManager debug logs using dpward copr builds. (126.71 KB, text/plain)
2015-09-03 18:10 UTC, JYundt
no flags Details
ModemManager debug logs with functioning wwan adapter (117.70 KB, text/plain)
2015-09-04 18:23 UTC, JYundt
no flags Details
NetworkManager debug logs with functioning wwan adapter (440.52 KB, text/plain)
2015-09-04 18:24 UTC, JYundt
no flags Details

Description Siteshwar Vashisht 2015-05-21 06:17:26 UTC
Description of problem:
HP 820 G1 4G Modem is not detected by NetworkManager

Version-Release number of selected component (if applicable):
NetworkManager-1.0.0-14.git20150121.b4ea599c.el7.x86_64
ModemManager-1.1.0-6.git20130913.el7.x86_64
NetworkManager-wwan-1.0.0-14.git20150121.b4ea599c.el7.x86_64


How reproducible:
Always

Steps to Reproduce:
Connect HP 820 G1 4G Modem to RHEL 7 system

Actual results:
Modem is not detected by NetworkManager

Expected results:
Modem should be detected by NetworkManager

Additional info:

ModemManager logs show modem is not responding to commands :

ModemManager[4449]: <debug> [1431612219.124934] [mm-port-probe-at.c:43] mm_port_probe_response_processor_is_at(): Parsing AT got: 'Serial command timed out'
ModemManager[4449]: <debug> [1431612219.125020] [mm-at-serial-port.c:436] debug_log(): (ttyS0): --> 'AT<CR>'
ModemManager[4449]: <debug> [1431612222.125322] [mm-port-probe-at.c:43] mm_port_probe_response_processor_is_at(): Parsing AT got: 'Serial command timed out'

Comment 1 Siteshwar Vashisht 2015-05-21 06:24:45 UTC
Created attachment 1027995 [details]
mbimcli-query

Output for ' mbimcli -v -d /dev/cdc-wdm0 --query-device-caps' command.

Comment 2 JYundt 2015-05-22 11:58:00 UTC
Additional hardware information about the 4G card.

[root@etg61tfp ~]# lsusb -vvv -d 03f0:4e1d

Bus 002 Device 005: ID 03f0:4e1d Hewlett-Packard 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x03f0 Hewlett-Packard
  idProduct          0x4e1d 
  bcdDevice            0.06
  iManufacturer           1 Sierra Wireless, Incorporated
  iProduct                2 HP lt4111 LTE/EV-DO/HSPA+ Gobi 4G Module
  iSerial                 3 
  bNumConfigurations      2
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength          160
    bNumInterfaces          4
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        2
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      ** UNRECOGNIZED:  05 24 00 10 01
      ** UNRECOGNIZED:  05 24 01 00 00
      ** UNRECOGNIZED:  04 24 02 02
      ** UNRECOGNIZED:  05 24 06 00 00
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x000c  1x 12 bytes
        bInterval               9
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        3
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      ** UNRECOGNIZED:  05 24 00 10 01
      ** UNRECOGNIZED:  05 24 01 00 00
      ** UNRECOGNIZED:  04 24 02 02
      ** UNRECOGNIZED:  05 24 06 00 00
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x85  EP 5 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x000c  1x 12 bytes
        bInterval               9
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x84  EP 4 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        8
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x87  EP 7 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x000a  1x 10 bytes
        bInterval               9
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x86  EP 6 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           95
    bNumInterfaces          2
    bConfigurationValue     2
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower              500mA
    Interface Association:
      bLength                 8
      bDescriptorType        11
      bFirstInterface        12
      bInterfaceCount         2
      bFunctionClass          2 Communications
      bFunctionSubClass      14 
      bFunctionProtocol       0 
      iFunction               0 
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber       12
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         2 Communications
      bInterfaceSubClass     14 
      bInterfaceProtocol      0 
      iInterface              0 
      CDC Header:
        bcdCDC               1.10
      CDC Union:
        bMasterInterface        12
        bSlaveInterface         13 
      CDC MBIM:
        bcdMBIMVersion       1.00
        wMaxControlMessage   4096
        bNumberFilters       32
        bMaxFilterSize       128
        wMaxSegmentSize      1500
        bmNetworkCapabilities 0x20
          8-byte ntb input size
      UNRECOGNIZED CDC:  08 24 1c 00 01 40 dc 05
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               9
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber       13
      bAlternateSetting       0
      bNumEndpoints           0
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      2 
      iInterface              0 
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber       13
      bAlternateSetting       1
      bNumEndpoints           2
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      2 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      2
Device Status:     0x0000
  (Bus Powered)
[root@etg61tfp ~]# mmcli -L

Found 1 modems:
	/org/freedesktop/ModemManager1/Modem/0 [Generic] MBIM [03F0:4E1D]

[root@etg61tfp ~]# mmcli  -m 0

/org/freedesktop/ModemManager1/Modem/0 (device id 'fef0fc868f8b9f9367c9a262e56e6caef6b21a05')
  -------------------------
  Hardware |   manufacturer: 'Generic'
           |          model: 'MBIM [03F0:4E1D]'
           |       revision: 'SWI9X15C_05.05'
           |      supported: 'cdma-evdo, gsm-umts, lte'
           |        current: 'cdma-evdo, gsm-umts, lte'
           |   equipment id: '35611805#######'
  -------------------------
  System   |         device: '/sys/devices/pci0000:00/0000:00:14.0/usb2/2-6'
           |        drivers: 'cdc_mbim'
           |         plugin: 'Generic'
           |   primary port: 'cdc-wdm0'
           |          ports: 'cdc-wdm0 (mbim), wwp0s20u6c2i12 (net)'
  -------------------------
  Numbers  |           own : '1412#######'
  -------------------------
  Status   |           lock: 'none'
           | unlock retries: 'sim-pin2 (10)'
           |          state: 'disabled'
           |    power state: 'low'
           |    access tech: 'unknown'
           | signal quality: '0' (cached)
  -------------------------
  Modes    |      supported: 'allowed: 2g, 3g, 4g; preferred: none'
           |        current: 'allowed: 2g, 3g, 4g; preferred: none'
  -------------------------
  Bands    |      supported: 'unknown'
           |        current: 'unknown'
  -------------------------
  IP       |      supported: 'ipv4, ipv6, ipv4v6'
  -------------------------
  3GPP     |           imei: '35611805#######'
           |  enabled locks: 'fixed-dialing'
           |    operator id: 'unknown'
           |  operator name: 'unknown'
           |   registration: 'unknown'
  -------------------------
  CDMA     |           meid: 'unknown'
           |            esn: 'unknown'
           |            sid: 'unknown'
           |            nid: 'unknown'
           |   registration: CDMA1x 'unknown'
           |                 EV-DO  'unknown'
           |     activation: 'unknown'
  -------------------------
  SIM      |           path: '/org/freedesktop/ModemManager1/SIM/0'

[root@etg61tfp ~]# mbimcli -d /dev/cdc-wdm0 --query-device-caps
[/dev/cdc-wdm0] Device capabilities retrieved:
	      Device type: 'embedded'
	   Cellular class: 'gsm, cdma'
	      Voice class: 'embedded'
	        Sim class: 'removable'
	       Data class: 'gprs, edge, umts, hsdpa, hsupa, lte, 1xrtt, 1xevdo, 1xevdo-reva'
	         SMS caps: 'pdu-receive, pdu-send'
	        Ctrl caps: 'reg-manual, cdma-mobile-ip, cdma-simple-ip, multi-carrier'
	     Max sessions: '8'
	Custom data class: 'unknown'
	        Device ID: '35611805#######'
	    Firmware info: 'SWI9X15C_05.05'
	    Hardware info: 'EM7355'
[root@etg61tfp

Comment 4 Dan Williams 2015-07-14 21:13:58 UTC
Could you provide the output of:

rfkill list
nmcli radio

Thanks!

Comment 5 JYundt 2015-07-14 22:28:11 UTC
[root@etg61tfp ~]# rfkill list
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
3: hci0: Bluetooth
	Soft blocked: yes
	Hard blocked: no
[root@etg61tfp ~]# nmcli radio
WIFI-HW  WIFI     WWAN-HW  WWAN    
enabled  enabled  enabled  enabled 
[root@etg61tfp ~]#

Comment 7 Dan Williams 2015-07-15 17:49:47 UTC
Ok, lets get some NM logging here:

sudo nmcli g log level debug
sudo systemctl restart ModemManager

and then:

journalctl -b -u NetworkManager

and attach the logs?

Comment 8 JYundt 2015-07-15 17:55:06 UTC
Dan,
These logs (NM and MM in debug mode) are already attached to the case. Will the existing logs suffice or would you like me to gather this data again?

From the case:


*) NetworkManager-debug.log  - collected with " /usr/sbin/NetworkManager --debug --log-level=DEBUG &> /tmp/NetworkManager-debug.log"
*) ModemManager-debug.log - collected with "/usr/sbin/ModemManager --debug &> /tmp/ModemManager-debug.log"
*) mbimcli.out - output of mmcli and mbimcli before AND after restarting ModemManager

Comment 10 Donald Berry 2015-07-15 20:16:37 UTC
Created attachment 1052456 [details]
mbimcli.out, ModemManager-debug.log, NetworkManager-debug.log

Comment 12 David Ward 2015-08-15 23:49:23 UTC
Your modem is an HP-branded version of the Sierra Wireless EM7355. If you haven't already, you may need to load the specific firmware for your wireless carrier onto this modem before you can use it. (This is at least true with the Dell-branded version of the EM7355.) This must be done under Windows; you need to install the modem driver, and then connect to your wireless carrier so that it will load the firmware for it onto the modem. Then you can use it under Linux. The HP driver is at: http://h20564.www2.hp.com/hpsc/swd/public/detail?swItemId=ob_141314_1

Comment 13 David Ward 2015-08-16 02:09:20 UTC
Created attachment 1063386 [details]
Kernel patch to add modem's USB ID to qmi_wwan and qcserial drivers (submitted upstream)

If that doesn't solve your issue, you might be affected by the following: https://sigquit.wordpress.com/2015/02/09/dell-branded-sierra-wireless-3g4g-modem-not-online/

Although this has been found to happen on "Dell-branded" Sierra Wireless adapters, the FCC Auth command was discovered in Sierra Wireless's GobiNet driver source code -- which is not specific to Dell.


To see if this is the problem, first apply the patches for libqmi and ModemManager from here:
https://bugzilla.redhat.com/show_bug.cgi?id=1253943
https://bugzilla.redhat.com/show_bug.cgi?id=1253946

Then you need to switch to the modem's QMI configuration (instead of MBIM). Apply the attached patch to the kernel, and then create a file named /etc/udev/rules.d/99-hp-lt4111.rules containing the following:

ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="cdc_mbim", ATTR{remove_id}="03f0 4e1d"
ACTION=="add", SUBSYSTEM=="usb", DRIVER=="usb", ATTR{idVendor}=="03f0", ATTR{idProduct}=="4e1d", ATTR{bConfigurationValue}="1"

Comment 14 David Ward 2015-08-16 23:24:26 UTC
Regarding firmware loading: here is actually the most recent driver package from HP for this modem, which will load newer firmware -- but unlike the earlier version, this one says it requires Windows 8.1 or Windows 10:
http://h20564.www2.hp.com/hpsc/swd/public/detail?swItemId=ob_150201_1

Comment 15 JYundt 2015-08-17 13:36:51 UTC
(In reply to David Ward from comment #12)
> Your modem is an HP-branded version of the Sierra Wireless EM7355. If you
> haven't already, you may need to load the specific firmware for your
> wireless carrier onto this modem before you can use it. (This is at least
> true with the Dell-branded version of the EM7355.) This must be done under
> Windows; you need to install the modem driver, and then connect to your
> wireless carrier so that it will load the firmware for it onto the modem.
> Then you can use it under Linux. The HP driver is at:
> http://h20564.www2.hp.com/hpsc/swd/public/detail?swItemId=ob_141314_1

Thanks for the links.

FWIW, I've been using this adapter in Windows 8.1 x86_64 without issue.

I'll try the updated driver (from July 2015) to see if that changes any of the observed behavior in RHEL7.

Comment 16 JYundt 2015-08-17 15:31:32 UTC
After upgrading the drivers in Windows 8.1, the firmware (in RHEL7) is now displayed as "SWI9X15C_05.05.58.00".  Previously it was "SWI9X15C_05.05".

I haven't tried any of the QMI changes yet, but simply updating the firmware did not resolve the issue.

Comment 17 David Ward 2015-08-17 17:07:01 UTC
I created a repository with packages for the the kernel, libqmi, and ModemManager that include the patches I described in comment 13:

https://copr.fedoraproject.org/coprs/dpward/rhbz1223646/

You can save the repo file into /etc/yum.repos.d and then run 'yum update'. Then you will just need to create the udev rules file as described in comment 13, and finally reboot.

(Disclaimer: I do not work for Red Hat; this in an unofficial repository; use at your own risk.)

Comment 18 Dan Williams 2015-08-17 21:32:58 UTC
(In reply to Donald Berry from comment #10)
> Created attachment 1052456 [details]
> mbimcli.out, ModemManager-debug.log, NetworkManager-debug.log

In these logs, ModemManager is not detecting the modem because all transactions time out.  Could you check one thing?  See if there is an "mbim-proxy" process running; this can confuse ModemManager because the version of MM in EL7.x doesn't have support for the mbim proxy process that allows 'mbimcli' and 'ModemManager' to run at the same time, cooperatively.

Comment 19 JYundt 2015-08-17 23:09:35 UTC
(In reply to Dan Williams from comment #18)
> (In reply to Donald Berry from comment #10)
> > Created attachment 1052456 [details]
> > mbimcli.out, ModemManager-debug.log, NetworkManager-debug.log
> 
> In these logs, ModemManager is not detecting the modem because all
> transactions time out.  Could you check one thing?  See if there is an
> "mbim-proxy" process running; this can confuse ModemManager because the
> version of MM in EL7.x doesn't have support for the mbim proxy process that
> allows 'mbimcli' and 'ModemManager' to run at the same time, cooperatively.

mbim-proxy does not appear to be running:

[root@etg61tfp ~]# ps -ef | grep -i mbim
root     22240 22195  0 19:08 pts/0    00:00:00 grep --color=auto -i mbim
[root@etg61tfp ~]# ps -ef | grep -i modem
root       889     1  0 10:23 ?        00:00:00 /usr/sbin/ModemManager
root     22242 22195  0 19:08 pts/0    00:00:00 grep --color=auto -i modem
[root@etg61tfp ~]# systemctl -l status ModemManager.service 
ModemManager.service - Modem Manager
   Loaded: loaded (/usr/lib/systemd/system/ModemManager.service; enabled)
   Active: active (running) since Mon 2015-08-17 10:23:37 EDT; 8h ago
 Main PID: 889 (ModemManager)
   CGroup: /system.slice/ModemManager.service
           └─889 /usr/sbin/ModemManager

Aug 17 10:23:43 etg61tfp ModemManager[889]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> disabled)
Aug 17 10:23:53 etg61tfp ModemManager[889]: <info>  Creating modem with plugin 'Generic' and '1' ports
Aug 17 10:23:53 etg61tfp ModemManager[889]: <warn>  Could not grab port (tty/ttyS0): 'Cannot add port 'tty/ttyS0', unhandled serial type'
Aug 17 10:23:53 etg61tfp ModemManager[889]: <warn>  Couldn't create modem for device at '/sys/devices/pci0000:00/0000:00:16.3': Failed to find primary AT port
Aug 17 16:52:48 etg61tfp ModemManager[889]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabled -> enabling)
Aug 17 16:52:59 etg61tfp ModemManager[889]: Couldn't reload current power state: Transaction timed out
Aug 17 16:53:09 etg61tfp ModemManager[889]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> disabled)
Aug 17 19:00:17 etg61tfp ModemManager[889]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabled -> enabling)
Aug 17 19:00:27 etg61tfp ModemManager[889]: Couldn't reload current power state: Transaction timed out
Aug 17 19:00:37 etg61tfp ModemManager[889]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> disabled)
[root@etg61tfp ~]#

Comment 20 JYundt 2015-08-19 13:27:07 UTC
(In reply to David Ward from comment #17)
> I created a repository with packages for the the kernel, libqmi, and
> ModemManager that include the patches I described in comment 13:
> 
> https://copr.fedoraproject.org/coprs/dpward/rhbz1223646/
> 
> You can save the repo file into /etc/yum.repos.d and then run 'yum update'.
> Then you will just need to create the udev rules file as described in
> comment 13, and finally reboot.
> 
> (Disclaimer: I do not work for Red Hat; this in an unofficial repository;
> use at your own risk.)

David,
Thanks for the copr build.  After adding the udev rule, updating these packages, I'm still not able to connect.

I tried checking the FCC Auth status buy my qmicli commands were timing out.

[root@etg61tfp ~]# qmicli -d /dev/cdc-wdm0 --dms-get-operating-mode
error: couldn't create client for the 'dms' service: CID allocation failed in the CTL client: Transaction timed out
[root@etg61tfp ~]# uname -r
3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
[root@etg61tfp ~]# rpm -qa | grep -e rhbz1223646
kernel-tools-libs-3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
kernel-tools-3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
ModemManager-glib-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
kernel-headers-3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
libqmi-utils-1.6.0-4.rhbz1223646.el7.centos.x86_64
libqmi-1.6.0-4.rhbz1223646.el7.centos.x86_64
kernel-3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
ModemManager-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
kernel-debug-3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
[root@etg61tfp ~]# cat /etc/udev/rules.d/99-hp-lt4111.rules 
ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="cdc_mbim", ATTR{remove_id}="03f0 4e1d"
ACTION=="add", SUBSYSTEM=="usb", DRIVER=="usb", ATTR{idVendor}=="03f0", ATTR{idProduct}=="4e1d", ATTR{bConfigurationValue}="1"
[root@etg61tfp ~]# who -b
         system boot  2015-08-19 05:20
[root@etg61tfp ~]# uptime
 09:24:39 up 4 min,  3 users,  load average: 0.18, 0.35, 0.18
[root@etg61tfp ~]#

Comment 21 Dan Williams 2015-08-19 15:07:35 UTC
(In reply to JYundt from comment #20)
> (In reply to David Ward from comment #17)
> > I created a repository with packages for the the kernel, libqmi, and
> > ModemManager that include the patches I described in comment 13:
> > 
> > https://copr.fedoraproject.org/coprs/dpward/rhbz1223646/
> > 
> > You can save the repo file into /etc/yum.repos.d and then run 'yum update'.
> > Then you will just need to create the udev rules file as described in
> > comment 13, and finally reboot.
> > 
> > (Disclaimer: I do not work for Red Hat; this in an unofficial repository;
> > use at your own risk.)
> 
> David,
> Thanks for the copr build.  After adding the udev rule, updating these
> packages, I'm still not able to connect.
> 
> I tried checking the FCC Auth status buy my qmicli commands were timing out.

Yeah, your modem typically runs in MBIM mode, not QMI mode, so I don't think the issue is actually "FCC Auth" related.  However, I'm not quite sure what the issue is.  The next step is to install a more recent libmbim and see if that makes a difference, and if not, then trying an updated libmbim kernel driver.  If neither of those things works, then we're out of immediate options.

Comment 22 JYundt 2015-08-19 17:16:17 UTC
(In reply to Dan Williams from comment #21)
> (In reply to JYundt from comment #20)
> > (In reply to David Ward from comment #17)
> > > I created a repository with packages for the the kernel, libqmi, and
> > > ModemManager that include the patches I described in comment 13:
> > > 
> > > https://copr.fedoraproject.org/coprs/dpward/rhbz1223646/
> > > 
> > > You can save the repo file into /etc/yum.repos.d and then run 'yum update'.
> > > Then you will just need to create the udev rules file as described in
> > > comment 13, and finally reboot.
> > > 
> > > (Disclaimer: I do not work for Red Hat; this in an unofficial repository;
> > > use at your own risk.)
> > 
> > David,
> > Thanks for the copr build.  After adding the udev rule, updating these
> > packages, I'm still not able to connect.
> > 
> > I tried checking the FCC Auth status buy my qmicli commands were timing out.
> 
> Yeah, your modem typically runs in MBIM mode, not QMI mode, so I don't think
> the issue is actually "FCC Auth" related.  However, I'm not quite sure what
> the issue is.  The next step is to install a more recent libmbim and see if
> that makes a difference, and if not, then trying an updated libmbim kernel
> driver.  If neither of those things works, then we're out of immediate
> options.

Dan,
Are you able to provide this more recent version of libmbim? Or should I contact someone from support for this?

Comment 23 David Ward 2015-08-19 20:30:01 UTC
(In reply to Dan Williams from comment #21)
> Yeah, your modem typically runs in MBIM mode, not QMI mode, so I don't think
> the issue is actually "FCC Auth" related.

Dan, just FYI the Dell modems that require the FCC Auth command also typically run in MBIM mode. The command has only been implemented in libqmi, as it's unknown how to issue an equivalent command with MBIM, so currently the affected modems have to be switched into the QMI configuration. But that's just an aside, it's not relevant to this issue with the HP modem.

Comment 24 David Ward 2015-08-20 21:15:07 UTC
(In reply to JYundt from comment #5)
> [root@etg61tfp ~]# rfkill list
> 1: phy0: Wireless LAN
> 	Soft blocked: no
> 	Hard blocked: no
> 3: hci0: Bluetooth
> 	Soft blocked: yes
> 	Hard blocked: no
> [root@etg61tfp ~]# nmcli radio
> WIFI-HW  WIFI     WWAN-HW  WWAN    
> enabled  enabled  enabled  enabled 
> [root@etg61tfp ~]#

Shouldn't 'hp-wwan' appear in the rfkill list? Perhaps this upstream patch needs to be added to the hp-wmi driver in the kernel:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/platform/x86/hp-wmi.c?id=997daa1bd9aca412ab97955a35b26c460c0ec7a4

I ask because of an earlier e-mail from Dan regarding this same modem:
http://www.spinics.net/lists/netdev/msg253250.html

Comment 25 Dan Williams 2015-08-20 21:32:46 UTC
(In reply to David Ward from comment #24)
> (In reply to JYundt from comment #5)
> > [root@etg61tfp ~]# rfkill list
> > 1: phy0: Wireless LAN
> > 	Soft blocked: no
> > 	Hard blocked: no
> > 3: hci0: Bluetooth
> > 	Soft blocked: yes
> > 	Hard blocked: no
> > [root@etg61tfp ~]# nmcli radio
> > WIFI-HW  WIFI     WWAN-HW  WWAN    
> > enabled  enabled  enabled  enabled 
> > [root@etg61tfp ~]#
> 
> Shouldn't 'hp-wwan' appear in the rfkill list? Perhaps this upstream patch
> needs to be added to the hp-wmi driver in the kernel:
> http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/
> drivers/platform/x86/hp-wmi.c?id=997daa1bd9aca412ab97955a35b26c460c0ec7a4
> 
> I ask because of an earlier e-mail from Dan regarding this same modem:
> http://www.spinics.net/lists/netdev/msg253250.html

Typically, yes, and that's a good thing to check.  What's odd here is that some MBIM requests work fine, others just timeout...

Comment 26 David Ward 2015-08-21 12:03:36 UTC
(In reply to JYundt from comment #22)
> (In reply to Dan Williams from comment #21)
> > (In reply to JYundt from comment #20)
> > > (In reply to David Ward from comment #17)
> > > > I created a repository with packages for the the kernel, libqmi, and
> > > > ModemManager that include the patches I described in comment 13:
> > > > 
> > > > https://copr.fedoraproject.org/coprs/dpward/rhbz1223646/
> > > > 
> > > > You can save the repo file into /etc/yum.repos.d and then run 'yum update'.
> > > > Then you will just need to create the udev rules file as described in
> > > > comment 13, and finally reboot.
> > > > 
> > > > (Disclaimer: I do not work for Red Hat; this in an unofficial repository;
> > > > use at your own risk.)
> > > 
> > > David,
> > > Thanks for the copr build.  After adding the udev rule, updating these
> > > packages, I'm still not able to connect.
> > > 
> > > I tried checking the FCC Auth status buy my qmicli commands were timing out.
> > 
> > Yeah, your modem typically runs in MBIM mode, not QMI mode, so I don't think
> > the issue is actually "FCC Auth" related.  However, I'm not quite sure what
> > the issue is.  The next step is to install a more recent libmbim and see if
> > that makes a difference, and if not, then trying an updated libmbim kernel
> > driver.  If neither of those things works, then we're out of immediate
> > options.
> 
> Dan,
> Are you able to provide this more recent version of libmbim? Or should I
> contact someone from support for this?

If this is helpful, I updated the repository above with:
- libmbim 0.12.2 (rebuilt from Fedora Rawhide source package)
- ModemManager (same version as before, but rebuilt for the updated libmbim with new SONAME)
- kernel (now includes relevant upstream patches for the hp-wmi platform driver)

Hopefully the kernel update would now cause 'hp-wwan' to appear now in the output of 'rfkill list'. This kernel does not yet include any changes to the cdc_mbim/cdc_ncm drivers.

Comment 27 JYundt 2015-08-21 15:38:53 UTC
(In reply to David Ward from comment #26)
> (In reply to JYundt from comment #22)
> > (In reply to Dan Williams from comment #21)
> > > (In reply to JYundt from comment #20)
> > > > (In reply to David Ward from comment #17)
> > > > > I created a repository with packages for the the kernel, libqmi, and
> > > > > ModemManager that include the patches I described in comment 13:
> > > > > 
> > > > > https://copr.fedoraproject.org/coprs/dpward/rhbz1223646/
> > > > > 
> > > > > You can save the repo file into /etc/yum.repos.d and then run 'yum update'.
> > > > > Then you will just need to create the udev rules file as described in
> > > > > comment 13, and finally reboot.
> > > > > 
> > > > > (Disclaimer: I do not work for Red Hat; this in an unofficial repository;
> > > > > use at your own risk.)
> > > > 
> > > > David,
> > > > Thanks for the copr build.  After adding the udev rule, updating these
> > > > packages, I'm still not able to connect.
> > > > 
> > > > I tried checking the FCC Auth status buy my qmicli commands were timing out.
> > > 
> > > Yeah, your modem typically runs in MBIM mode, not QMI mode, so I don't think
> > > the issue is actually "FCC Auth" related.  However, I'm not quite sure what
> > > the issue is.  The next step is to install a more recent libmbim and see if
> > > that makes a difference, and if not, then trying an updated libmbim kernel
> > > driver.  If neither of those things works, then we're out of immediate
> > > options.
> > 
> > Dan,
> > Are you able to provide this more recent version of libmbim? Or should I
> > contact someone from support for this?
> 
> If this is helpful, I updated the repository above with:
> - libmbim 0.12.2 (rebuilt from Fedora Rawhide source package)
> - ModemManager (same version as before, but rebuilt for the updated libmbim
> with new SONAME)
> - kernel (now includes relevant upstream patches for the hp-wmi platform
> driver)
> 
> Hopefully the kernel update would now cause 'hp-wwan' to appear now in the
> output of 'rfkill list'. This kernel does not yet include any changes to the
> cdc_mbim/cdc_ncm drivers.


No dice, hp-wwan is not displayed:


[yundtj@etg61tfp ~]$ uname -r
3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
[yundtj@etg61tfp ~]$ su - 
Password: 
Last login: Fri Aug 21 11:31:11 EDT 2015 on pts/0
[root@etg61tfp ~]# rfkill list
0: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
[root@etg61tfp ~]# nmcli radio
WIFI-HW  WIFI     WWAN-HW  WWAN    
enabled  enabled  enabled  enabled 
[root@etg61tfp ~]# ls -l /dev/cdc-wdm0 
crw-------. 1 root root 180, 176 Aug 21 11:33 /dev/cdc-wdm0
[root@etg61tfp ~]#

Comment 28 David Ward 2015-08-21 18:40:35 UTC
Hmmm, what is the output of:

lsmod | grep -i wmi
dmesg | grep -i wmi


Assuming hp_wmi is not loaded, could you run:

sudo yum install acpica-tools
sudo acpidump -o acpi.dat

and attach acpi.dat?

Comment 29 JYundt 2015-08-21 18:46:02 UTC
(In reply to David Ward from comment #28)
> Hmmm, what is the output of:
> 
> lsmod | grep -i wmi
> dmesg | grep -i wmi
> 
> 
> Assuming hp_wmi is not loaded, could you run:
> 
> sudo yum install acpica-tools
> sudo acpidump -o acpi.dat
> 
> and attach acpi.dat?

[root@etg61tfp ~]# uptime
 14:44:07 up  3:11,  5 users,  load average: 0.05, 0.08, 0.15
[root@etg61tfp ~]# who -b
         system boot  2015-08-21 07:33
[root@etg61tfp ~]# uname -r
3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
[root@etg61tfp ~]# lsmod | grep -i wmi
hp_wmi                 18088  0 
sparse_keymap          13948  1 hp_wmi
rfkill                 26536  6 cfg80211,hp_wmi,bluetooth
wmi                    19070  1 hp_wmi
[root@etg61tfp ~]# dmesg | grep -i wmi
[   16.117114] wmi: Mapper loaded
[   17.206398] input: HP WMI hotkeys as /devices/virtual/input/input16
[root@etg61tfp ~]# rfkill list
0: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
[root@etg61tfp ~]# nmcli radio
WIFI-HW  WIFI     WWAN-HW  WWAN    
enabled  enabled  enabled  enabled 
[root@etg61tfp ~]# rpm -qa | grep -i bz
ModemManager-1.1.0-6.git20130913.rhbz1223646.1.el7.centos.x86_64
kernel-3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
bzip2-1.0.6-12.el7.x86_64
libqmi-1.6.0-4.rhbz1223646.el7.centos.x86_64
kernel-headers-3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
kernel-tools-3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
libmbim-utils-1.12.2-1.rhbz1223646.el7.centos.x86_64
libzip-0.10.1-8.el7.x86_64
ModemManager-glib-1.1.0-6.git20130913.rhbz1223646.1.el7.centos.x86_64
kernel-debug-3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
bzip2-libs-1.0.6-12.el7.x86_64
perl-Compress-Raw-Bzip2-2.061-3.el7.x86_64
libmbim-1.12.2-1.rhbz1223646.el7.centos.x86_64
libzapojit-0.0.3-4.el7.x86_64
kernel-tools-libs-3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
libqmi-utils-1.6.0-4.rhbz1223646.el7.centos.x86_64
[root@etg61tfp ~]# 



Is it still worthwhile to grab the acpi.dat?

Comment 30 David Ward 2015-08-22 01:36:22 UTC
Could you make sure your BIOS is up-to-date:

http://h20564.www2.hp.com/hpsc/swd/public/detail?sp4ts.oid=5405115&swItemId=ob_151244_1

and then provide the ACPI dump?

Comment 32 JYundt 2015-08-26 13:54:00 UTC
Created attachment 1067260 [details]
output from acpidump -o acpi.dat at BIOS v.130

Comment 33 JYundt 2015-08-26 13:55:22 UTC
I'm attaching the acpidump (from BIOS v1.30) while I'm waiting for the BIOS update.

Comment 34 David Ward 2015-08-27 17:50:52 UTC
So in trying to understand why you don't see the HP-specific rfkill entries...

The first thing I noticed from the ACPI dump was this (from fwts):


\_SB_.WMID._WDG (3 of 14)
  GUID: 2B814318-4BE8-4707-9D84-A190A859B5D0
  WMI Event:
    Flags          : 0x08 (Event)
    Notification ID: 0xa0
    Reserved       : 0x00
    Instance       : 0x01
FAILED [MEDIUM] WMIUnknownGUID: Test 1, GUID 2B814318-4BE8-4707-9D84-A190A859B5D0 is unknown to the kernel, a driver may need to be implemented for this GUID.
A WMI driver probably needs to be written for this WMI event. It can checked for using: wmi_has_guid("2B814318-4BE8-4707-9D84-A190A859B5D0"). One can install a notify handler using wmi_install_notify_handler("2B814318-4BE8-4707-9D84-A190A859B5D0", handler, NULL). http://lwn.net/Articles/391230 describes how to write
an appropriate driver.


A Google search on this GUID only turns up other HP laptops printing this error, but no indication of what this WMI event is for or if it's actually causing anyone else problems by not having it.


That aside, both GUIDs in the hp-wmi platform driver (defined as HPWMI_EVENT_GUID and HPWMI_BIOS_GUID) were found in the dump, as expected. Just for sanity, do you have a folder named /sys/devices/virtual/wmi/5FB7F034-2C63-45e9-BE91-3D44E2C707E4 ? The hp-wmi is able to load even if only one of the two GUIDs is found, and it will skip the other functionality.


Also, your DSDT table includes the new HP wireless button ACPI device. There is now a driver (hp-wireless) in the upstream kernel for it.

I updated the repository to include a kernel package that contains the hp-wireless driver from upstream (package version 3.10.0-229.11.1.el7.centos.rhbz1223646.2).

Comment 35 David Ward 2015-08-30 21:36:40 UTC
Jacob, to take a step back and determine for sure if this is an rfkill-related issue or something else, can you please do the following:

- Make sure you are running the kernel that includes the patch for the qcserial driver to support your modem (the kernel in the repository that I created has this).

- Make sure the modem is in the QMI configuration: if you removed the udev rules file I provided earlier, please add it back and reboot before proceeding.

- Stop ModemManager:
sudo systemctl stop ModemManager.service

- Install the minicom package:
sudo yum install minicom

- Follow the instructions at the bottom of this page:
http://lists.freedesktop.org/archives/modemmanager-devel/2015-January/001736.html

Try /dev/ttyUSB2 first. Once minicom appears, type the command in all caps (not lowercase), and press Enter. The command will not display as you are typing. Afterwards, you can exit minicom by pressing Ctrl+A and then R.

Please provide the output here.

Comment 36 David Ward 2015-08-30 21:41:51 UTC
Sorry that should be Ctrl+A and then X to exit minicom.

Comment 37 JYundt 2015-09-03 13:25:35 UTC
David,
Apologies for the delay.

I was able to update my bios to V1.32 and run the minicom test (with the 3.10.0-229.11.1.el7.centos.rhbz1223646.2.x86_64 kernel):

[yundtj@etg61tfp ~]$ su - 
Password: 
Last login: Thu Sep  3 07:34:45 EDT 2015 on pts/0
[root@etg61tfp ~]# uname -r
3.10.0-229.11.1.el7.centos.rhbz1223646.2.x86_64
[root@etg61tfp ~]# rfkill list
0: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
[root@etg61tfp ~]# cat /etc/udev/rules.d/99-hp-lt4111.rules 
ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="cdc_mbim", ATTR{remove_id}="03f0 4e1d"
ACTION=="add", SUBSYSTEM=="usb", DRIVER=="usb", ATTR{idVendor}=="03f0", ATTR{idProduct}=="4e1d", ATTR{bConfigurationValue}="1"
[root@etg61tfp ~]# systemctl stop ModemManager.service
[root@etg61tfp ~]# systemctl status ModemManager.service 
ModemManager.service - Modem Manager
   Loaded: loaded (/usr/lib/systemd/system/ModemManager.service; enabled)
   Active: inactive (dead) since Thu 2015-09-03 09:21:45 EDT; 5s ago
  Process: 893 ExecStart=/usr/sbin/ModemManager (code=exited, status=0/SUCCESS)
 Main PID: 893 (code=exited, status=0/SUCCESS)

Sep 03 09:21:21 etg61tfp ModemManager[893]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (54)
Sep 03 09:21:45 etg61tfp ModemManager[893]: <info>  Caught signal, shutting down...
Sep 03 09:21:45 etg61tfp ModemManager[893]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (registered -> disabling)
Sep 03 09:21:45 etg61tfp ModemManager[893]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (0)
Sep 03 09:21:45 etg61tfp ModemManager[893]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: access technology changed (lte -> unknown)
Sep 03 09:21:45 etg61tfp ModemManager[893]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registration state changed (home -> unknown)
Sep 03 09:21:45 etg61tfp ModemManager[893]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabling -> disabled)
Sep 03 09:21:45 etg61tfp ModemManager[893]: [/dev/cdc-wdm0] Unregistered 'pds' client with ID '1'
Sep 03 09:21:45 etg61tfp ModemManager[893]: [/dev/cdc-wdm0] Unregistered 'wms' client with ID '1'
Sep 03 09:21:45 etg61tfp ModemManager[893]: [/dev/cdc-wdm0] Unregistered 'nas' client with ID '1'
[root@etg61tfp ~]# minicom -D /dev/ttyUSB2 


Welcome to minicom 2.6.2

OPTIONS: I18n 
Compiled on Dec 28 2013, 13:58:29.
Port /dev/ttyUSB2, 09:20:40

Press CTRL-A Z for help on special keys                                                 
                                                                                        
                                                                                        
State: Online                                                                           
LPM force flags - W_DISABLE:0, User:0, Temp:0, Volt:0, BIOS:0, GOBIIM:0
W_DISABLE: 0
Poweroff mode: 0
LPM Persistent: 0


OK
















 CTRL-A Z for help |115200 8N1 | NOR | Minicom 2.6.2  | VT102 |      Offline                                                                         
[root@etg61tfp ~]#

Comment 38 JYundt 2015-09-03 13:26:27 UTC
Created attachment 1069838 [details]
updated acpidump from BIOS v1.32

Comment 39 David Ward 2015-09-03 13:47:58 UTC
Thanks Jacob -- seems like it's not an rfkill issue.

Dan very recently fixed an issue in ModemManager related to CDMA handling in MBIM mode, which was affecting the EM7355:
http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=2034918d7b015f1176ec135cc023d4d161db56f7

Can you try running the latest development versions of libqmi, libmbim, and ModemManager (containing this fix)? I'm running them myself on RHEL 7 without any issues. Here's a separate repository that contains those packages, if you can download the repo file and do another 'yum update':
http://copr.fedoraproject.org/coprs/dpward/ModemManager/

Comment 40 JYundt 2015-09-03 14:03:32 UTC
David,
No dice with the updated libqmi/libmbim/ModemManager.

I'm unable to connect with the Gnome3 networkmanager applet thing-y.

I'll attach a video for reference.

Would you like me to try some nmcli/mbimcli commands?  If so, what would you like me to run?

Comment 41 JYundt 2015-09-03 14:04:20 UTC
Created attachment 1069872 [details]
Screencast of trying to connect with updated libqmi/libmbim/ModemManager (and the latest copr built RHEL7 kernel).

Comment 42 JYundt 2015-09-03 18:10:09 UTC
Created attachment 1070024 [details]
NetworkManager debug logs using dpward copr builds.

Comment 43 JYundt 2015-09-03 18:10:31 UTC
Created attachment 1070025 [details]
ModemManager debug logs using dpward copr builds.

Comment 44 JYundt 2015-09-03 18:52:37 UTC
I just posted updated NM and MM logs running in debug mode using the most recent builds from copr.

Additionally the mbimbcli and mmcli commands seem to "look" better, however I'm still not able to connect:

[root@etg61tfp ~]# mbimcli -p -d /dev/cdc-wdm0 --query-device-caps
[/dev/cdc-wdm0] Device capabilities retrieved:
	      Device type: 'embedded'
	   Cellular class: 'gsm, cdma'
	      Voice class: 'no-voice'
	        Sim class: 'removable'
	       Data class: 'gprs, edge, umts, hsdpa, hsupa, lte, 1xrtt, 1xevdo, 1xevdo-reva'
	         SMS caps: 'pdu-receive, pdu-send'
	        Ctrl caps: 'reg-manual, cdma-mobile-ip, cdma-simple-ip, multi-carrier'
	     Max sessions: '8'
	Custom data class: 'unknown'
	        Device ID: '356118051273381'
	    Firmware info: 'SWI9X15C_05.05'
	    Hardware info: 'EM7355'
[root@etg61tfp ~]# mmcli mmcli -m 0

/org/freedesktop/ModemManager1/Modem/0 (device id 'fef0fc868f8b9f9367c9a262e56e6caef6b21a05')
  -------------------------
  Hardware |   manufacturer: 'Generic'
           |          model: 'MBIM [03F0:4E1D]'
           |       revision: 'SWI9X15C_05.05'
           |      supported: 'gsm-umts, lte'
           |        current: 'gsm-umts, lte'
           |   equipment id: '35611805#######'
  -------------------------
  System   |         device: '/sys/devices/pci0000:00/0000:00:14.0/usb2/2-6'
           |        drivers: 'cdc_mbim'
           |         plugin: 'Generic'
           |   primary port: 'cdc-wdm0'
           |          ports: 'cdc-wdm0 (mbim), wwp0s20u6c2i12 (net)'
  -------------------------
  Numbers  |           own : '1314#######'
  -------------------------
  Status   |           lock: 'none'
           | unlock retries: 'sim-pin2 (10)'
           |          state: 'disabled'
           |    power state: 'low'
           |    access tech: 'unknown'
           | signal quality: '0' (cached)
  -------------------------
  Modes    |      supported: 'allowed: 2g, 3g, 4g; preferred: none'
           |        current: 'allowed: 2g, 3g, 4g; preferred: none'
  -------------------------
  Bands    |      supported: 'unknown'
           |        current: 'unknown'
  -------------------------
  IP       |      supported: 'ipv4, ipv6, ipv4v6'
  -------------------------
  3GPP     |           imei: '35611805#######'
           |  enabled locks: 'fixed-dialing'
           |    operator id: 'unknown'
           |  operator name: 'unknown'
           |   subscription: 'unknown'
           |   registration: 'unknown'
  -------------------------
  SIM      |           path: '/org/freedesktop/ModemManager1/SIM/0'

  -------------------------
  Bearers  |          paths: 'none'
 
[root@etg61tfp ~]# rpm -qa | grep 201508
libqmi-utils-1.13.4-1.git20150802.el7.centos.x86_64
ModemManager-1.5.0-1.git20150825.el7.centos.x86_64
libmbim-1.13.0-1.20150818git.el7.centos.x86_64
libmbim-utils-1.13.0-1.20150818git.el7.centos.x86_64
libqmi-1.13.4-1.git20150802.el7.centos.x86_64
ModemManager-glib-1.5.0-1.git20150825.el7.centos.x86_64
[root@etg61tfp ~]# uname -r
3.10.0-229.11.1.el7.centos.rhbz1223646.2.x86_64
[root@etg61tfp ~]#

Comment 45 Dan Williams 2015-09-03 20:19:03 UTC
You're running into:

ModemManager[5186]: <debug> [1441300896.734980] [mm-base-bearer.c:465] connect_ready(): Couldn't connect bearer '/org/freedesktop/ModemManager1/Bearer/0': 'Requested service option not subscribed'
ModemManager[5186]: <info>  [1441300896.735061] [mm-iface-modem.c:1392] __iface_modem_update_state_internal(): Modem /org/freedesktop/ModemManager1/Modem/0: state changed (connecting -> registered)
ModemManager[5186]: <debug> [1441300896.735377] [mm-iface-modem-simple.c:221] connect_bearer_ready(): Couldn't connect bearer: 'Requested service option not subscribed'

Try "fast.t-mobile.com" as the APN instead of "epc.tmobile.com"; that's what they typically use for LTE service these days.

If you can get connected with "fast" and the COPR builds, then we have a great base to start from to figure out what needs to happen in the RHEL 7 packages.

Comment 46 JYundt 2015-09-04 18:15:47 UTC
Dan,
I've been working with David a bit and he discovered the problem:

*) I _am_ encountering the FCC auth issue.  The logs I had previously attached were gathered after running MM with QMI followed by a warm reboot, then gathered while running MM + MBIM

*) I confirmed the FCC auth issue by doing the following:

1) Added a udev rules file to switch the modem to the QMI configuration at startup
2) Disabled the ModemManager service on startup
3) Powered the system completely off and on
4) Ran the following commands:

[root@etg61tfp ~]# qmicli -d /dev/cdc-wdm0 --dms-get-operating-mode
[/dev/cdc-wdm0] Operating mode retrieved:
        Mode: 'low-power'
        HW restricted: 'no'
[root@etg61tfp ~]# qmicli -d /dev/cdc-wdm0 --dms-set-fcc-authentication
[/dev/cdc-wdm0] Successfully set FCC authentication
[root@etg61tfp ~]# qmicli -d /dev/cdc-wdm0 --dms-get-operating-mode
[/dev/cdc-wdm0] Operating mode retrieved:
        Mode: 'online'
        HW restricted: 'no'

and then to get online I did the following:

1) Removed the udev rules file
2) Re-enabled the ModemManager service on startup
3) (Warm) Rebooted the system
4) Used the NetworkManager applet to create a modem connection using the APN "fast.t-mobile.com", which then came online immediately

I will upload MM/NM debug logs to the BZ shortly.

Comment 47 JYundt 2015-09-04 18:23:55 UTC
Created attachment 1070387 [details]
ModemManager debug logs with functioning wwan adapter

Comment 48 JYundt 2015-09-04 18:24:32 UTC
Created attachment 1070388 [details]
NetworkManager debug logs with functioning wwan adapter

Comment 49 David Ward 2015-09-04 19:35:09 UTC
Just to clarify though: the FCC Auth issue was not the only issue.

We tried addressing the FCC Auth issue by itself, but that did not work (see comment 20). The modem is now working with MBIM when using the development versions of libqmi, libmbim, and ModemManager, as well as a patched kernel that includes some cdc-mbim driver fixes since version 3.10 (along with adding USB ID recognition for this modem for QMI).

It's not yet clear what needs to be backported to RHEL 7.

Comment 50 David Ward 2015-09-04 20:27:53 UTC
Jacob, to start eliminating variables -- does this still work if you use the first kernel that I built on Copr, which only adds the USB IDs for your modem to the qmi_wwan/qcserial drivers?

If it is still installed, you can just reboot and select it from the grub boot menu:
3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64

Comment 51 Dan Williams 2015-09-04 22:49:13 UTC
I see you changed the APN in the latest successful logs, so you're no longer getting the "Requested service option not subscribed" error.  Good... so this seems like it's mostly the FCC Auth issue, possibly the kernel driver issue, and the USB ID issue so far.  Right?

Comment 52 David Ward 2015-09-05 00:04:52 UTC
Right. Actually...

When we first tried just applying the FCC Auth patches onto the original RHEL 7 packages and using QMI, maybe the reason that didn't work was just because the wrong APN was selected? We don't have ModemManager logs from that test to indicate that QMI transactions were timing out from ModemManager, or that anything else was actually wrong other than the APN.

When ModemManager wasn't connecting, Jacob tried running 'qmicli' and noticed that transactions were timing out. But if ModemManager was not stopped first, then it would have grabbed the QMI port already, likely causing the transactions from qmicli to time out, right? The versions of libqmi/libmbim in RHEL 7 don't support the proxy feature.

I'm wondering if we try that over again using the right APN if it will work. (It would certainly make sense to me, because that's all I had to do to get my Dell-branded EM7355 to work with QMI. And I didn't need any modifications to the kernel other than the USB IDs.)



Jacob, assuming that things are still working after you boot into the first kernel build (that only contains USB IDs), then could you do this:

    sudo rm /etc/yum.repos.d/dpward-ModemManager.repo
    sudo yum downgrade 'ModemManager*' 'libqmi*' 'libmbim*'

This will remove the development versions of libqmi/libmbim/ModemManager. In its place it should reinstall the original RHEL 7 version of libmbim, as well as the patched versions of libqmi and ModemManager that just add support for the FCC Auth command (it will get these packages from the other Copr repository).

Then add the udev rules file to switch to QMI, delete the modem's connection definition from /etc/NetworkManager/system-connections, reboot, and try connecting using the working APN?

In case that doesn't work, you will still be able to get the development versions back by just adding the Copr repo file again and doing "sudo yum update".

Comment 53 JYundt 2015-09-08 13:42:39 UTC
It looks like everything works as expected using the first COPR kernel build: 3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64


I did the following:

1) added udev rule to switch to QMI mode
2) deleted /etc/NetworkManager/system-connections T-mobile profile
3) disabled ModemManager on startup
4) powered off
5) powered on, selected 3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
6) set FCC auth via qmicli
7) disabled udev rule
8) re-enabled ModemManager on startup
9) warm rebooted using 3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
10) created a modem connection using "fast.t-mobile.com"


Once I verified the modem worked with the first COPR kernel build, I downgraded ModemManager, libqmi* and libmbim* and repeated the test.  Unfortunately I wasn't able to connect using these downgraded versions:

1) added udev rule to switch to QMI mode
2) deleted /etc/NetworkManager/system-connections T-mobile profile
3) disabled ModemManager on startup
4) disabled dpward-ModemManager.repo
5) yum downgrade-ed ModemManager* libqmi* libmbim*
7) powered off
8) powered on, selected 3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
9) checked that power-state was "low" using qmicli
10) disabled udev rule
11) re-enabled ModemManager on startup
12) warm rebooted using 3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
13) created a modem connection using "fast.t-mobile.com"


Output from qmi commands while running _with_ udev rule + downgraded MM/libqmi/libmbi + disabled MM:

[yundtj@etg61tfp Documents]$ su - 
Password: 
Last login: Tue Sep  8 09:27:59 EDT 2015 on pts/0
[root@etg61tfp ~]# uname -r
3.10.0-229.11.1.el7.centos.rhbz1223646.1.x86_64
[root@etg61tfp ~]# uptime
 09:29:37 up 2 min,  3 users,  load average: 0.25, 0.29, 0.13
[root@etg61tfp ~]# who -b
         system boot  2015-09-08 05:27
[root@etg61tfp ~]# rpm -qa | grep -e ModemManager -e libqmi -e libmbim
libqmi-1.6.0-4.rhbz1223646.el7.centos.x86_64
ModemManager-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
libmbim-utils-1.5.0-3.20130815git.el7.x86_64
libmbim-1.5.0-3.20130815git.el7.x86_64
ModemManager-glib-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
libqmi-utils-1.6.0-4.rhbz1223646.el7.centos.x86_64
[root@etg61tfp ~]# qmicli -d /dev/cdc-wdm0 --dms-get-operating-mode
[/dev/cdc-wdm0] Operating mode retrieved:
	Mode: 'low-power'
	HW restricted: 'no'
[root@etg61tfp ~]# qmicli -d /dev/cdc-wdm0 --dms-get-fcc-authentication
error: Unknown option --dms-get-fcc-authentication
[root@etg61tfp ~]# systemctl status ModemManager
ModemManager.service - Modem Manager
   Loaded: loaded (/usr/lib/systemd/system/ModemManager.service; disabled)
   Active: inactive (dead)

[root@etg61tfp ~]# cat /etc/udev/rules.d/99-hp-lt4111.rules 
ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="cdc_mbim", ATTR{remove_id}="03f0 4e1d"
ACTION=="add", SUBSYSTEM=="usb", DRIVER=="usb", ATTR{idVendor}=="03f0", ATTR{idProduct}=="4e1d", ATTR{bConfigurationValue}="1"
[root@etg61tfp ~]# vim /etc/udev/rules.d/99-hp-lt4111.rules 
[root@etg61tfp ~]# cat /etc/udev/rules.d/99-hp-lt4111.rules 
#ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="cdc_mbim", ATTR{remove_id}="03f0 4e1d"
#ACTION=="add", SUBSYSTEM=="usb", DRIVER=="usb", ATTR{idVendor}=="03f0", ATTR{idProduct}=="4e1d", ATTR{bConfigurationValue}="1"
[root@etg61tfp ~]# systemctl enable ModemManager
ln -s '/usr/lib/systemd/system/ModemManager.service' '/etc/systemd/system/dbus-org.freedesktop.ModemManager1.service'
ln -s '/usr/lib/systemd/system/ModemManager.service' '/etc/systemd/system/multi-user.target.wants/ModemManager.service'
[root@etg61tfp ~]# 


ModemManager messages (from /var/log/messages) after warm reboot _without_ udev rule with downgraded MM/libqmi/libmbi + enabled MM:

Sep  8 09:32:47 etg61tfp ModemManager[924]: <info>  ModemManager (version 1.1.0-6.git20130913.rhbz1223646.el7.centos) starting...
Sep  8 09:32:49 etg61tfp NetworkManager[1091]: <info>  ModemManager available in the bus
Sep  8 09:32:50 etg61tfp ModemManager[924]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:19.0': not supported by any plugin
Sep  8 09:32:50 etg61tfp ModemManager[924]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1c.3/0000:02:00.0': not supported by any plugin
Sep  8 09:32:51 etg61tfp ModemManager[924]: <info>  Creating modem with plugin 'Generic' and '2' ports
Sep  8 09:32:51 etg61tfp ModemManager[924]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:14.0/usb2/2-6' successfully created
Sep  8 09:32:53 etg61tfp ModemManager[924]: <warn>  couldn't load MEID: 'No AT port available to run command'
Sep  8 09:32:53 etg61tfp ModemManager[924]: <warn>  couldn't load ESN: 'No AT port available to run command'
Sep  8 09:32:53 etg61tfp ModemManager[924]: <info>  Modem: state changed (unknown -> disabled)
Sep  8 09:32:53 etg61tfp ModemManager[924]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabled -> enabling)
Sep  8 09:32:53 etg61tfp ModemManager[924]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> disabled)
Sep  8 09:33:03 etg61tfp ModemManager[924]: <info>  Creating modem with plugin 'Generic' and '1' ports
Sep  8 09:33:03 etg61tfp ModemManager[924]: <warn>  Could not grab port (tty/ttyS0): 'Cannot add port 'tty/ttyS0', unhandled serial type'
Sep  8 09:33:03 etg61tfp ModemManager[924]: <warn>  Couldn't create modem for device at '/sys/devices/pci0000:00/0000:00:16.3': Failed to find primary AT port
Sep  8 09:35:35 etg61tfp ModemManager[924]: <info>  Simple connect started...
Sep  8 09:35:35 etg61tfp ModemManager[924]: <info>  Simple connect state (3/8): Enable
Sep  8 09:35:35 etg61tfp ModemManager[924]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabled -> enabling)
Sep  8 09:35:35 etg61tfp ModemManager[924]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> disabled)




Would debug logs from test #2 (using the downgraded ModemManager/libqmi/libmbim: be of any use?

Comment 54 David Ward 2015-09-08 15:26:27 UTC
Two things:

1) Can you test if the QMI configuration works?

MBIM only works on this device with the fix that Dan made just a few days ago upstream. The development version you were testing with had this fix, but the version in RHEL 7 doesn't have it yet. In the Copr repository (not the one with the development versions) I only applied the FCC Auth fix.

Keep the udev rules file in place, but enable ModemManager on boot. Delete the existing connection definition (which may be for MBIM) and reboot. Then just try to connect with the NetworkManager applet as before (it's the same procedure with QMI and MBIM). Let us know if that connects with QMI.

2) The first kernel I built had a different version number: 3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64 (there's no .1 after rhbz1223646). The one you are running contains hp-wmi platform driver updates. Can you try the other kernel and see if it still works? It only adds the USB ID for your modem.

Comment 55 JYundt 2015-09-08 17:28:14 UTC
David,
As per our conversation, the following config allowed the WWAN card to work as expected:

*) kernel 3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
*) libqmi-1.6.0-4.rhbz1223646.el7.centos.x86_64
*) ModemManager-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
*) libmbim-utils-1.5.0-3.20130815git.el7.x86_64
*) libmbim-1.5.0-3.20130815git.el7.x86_64
*) ModemManager-glib-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
*) libqmi-utils-1.6.0-4.rhbz1223646.el7.centos.x86_64
*) udev rule setting QMI 
*) ModemManager enabled at boot


Steps I followed:

*) deleted t-mobile definition in /etc/NetworkManager/system-connections
*) verified udev rule was enabled
*) powered off laptop
*) powered on laptop (using 3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64)
*) Verified ModeManager was running
*) Used NetworkManager applet to define 4G connection (using APN fast.t-mobile.com).


Console output:

[yundtj@etg61tfp ~]$ su - 
Password: 
Last login: Tue Sep  8 12:03:34 EDT 2015 on pts/0
[root@etg61tfp ~]# uname -r
3.10.0-229.11.1.el7.centos.rhbz1223646.x86_64
[root@etg61tfp ~]# who -b
         system boot  2015-09-08 08:05
[root@etg61tfp ~]# uptime
 12:05:56 up 1 min,  2 users,  load average: 1.99, 0.65, 0.23
[root@etg61tfp ~]# rpm -qa | grep -e ModemManager -e libqmi -e libmbim
libqmi-1.6.0-4.rhbz1223646.el7.centos.x86_64
ModemManager-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
libmbim-utils-1.5.0-3.20130815git.el7.x86_64
libmbim-1.5.0-3.20130815git.el7.x86_64
ModemManager-glib-1.1.0-6.git20130913.rhbz1223646.el7.centos.x86_64
libqmi-utils-1.6.0-4.rhbz1223646.el7.centos.x86_64
[root@etg61tfp ~]# cat /etc/udev/rules.d/99-hp-lt4111.rules 
ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="cdc_mbim", ATTR{remove_id}="03f0 4e1d"
ACTION=="add", SUBSYSTEM=="usb", DRIVER=="usb", ATTR{idVendor}=="03f0", ATTR{idProduct}=="4e1d", ATTR{bConfigurationValue}="1"
[root@etg61tfp ~]# systemctl status ModemManager.service
ModemManager.service - Modem Manager
   Loaded: loaded (/usr/lib/systemd/system/ModemManager.service; enabled)
   Active: active (running) since Tue 2015-09-08 12:05:12 EDT; 1min 12s ago
 Main PID: 925 (ModemManager)
   CGroup: /system.slice/ModemManager.service
           └─925 /usr/sbin/ModemManager

Sep 08 12:05:30 etg61tfp ModemManager[925]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registratio...home)
Sep 08 12:05:30 etg61tfp ModemManager[925]: Couldn't read SMS messages: QMI protocol error (48): 'InvalidArgument'
Sep 08 12:05:30 etg61tfp ModemManager[925]: Couldn't read SMS messages: QMI protocol error (48): 'InvalidArgument'
Sep 08 12:05:30 etg61tfp ModemManager[925]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (e...ered)
Sep 08 12:05:30 etg61tfp ModemManager[925]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: access technolog... lte)
Sep 08 12:05:30 etg61tfp ModemManager[925]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality u...d (0)
Sep 08 12:05:33 etg61tfp ModemManager[925]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality u... (54)
Sep 08 12:05:34 etg61tfp ModemManager[925]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality u... (54)
Sep 08 12:05:50 etg61tfp ModemManager[925]: [/dev/cdc-wdm0] Sync indication received
Sep 08 12:06:04 etg61tfp ModemManager[925]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality u... (54)
Hint: Some lines were ellipsized, use -l to show in full.
[root@etg61tfp ~]# ls -l /etc/NetworkManager/system-connections/
total 4
-rw-------. 1 root root 664 Aug 24 07:34 ASA PoC
[root@etg61tfp ~]# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: enp0s25: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 50:65:f3:b8:50:bb brd ff:ff:ff:ff:ff:ff
3: wwp0s20u6i8: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1430 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether e2:7b:04:3c:00:1e brd ff:ff:ff:ff:ff:ff
    inet 21.117.161.29/30 brd 21.117.161.31 scope global dynamic wwp0s20u6i8
       valid_lft 7195sec preferred_lft 7195sec
4: wlo1: <BROADCAST,MULTICAST> mtu 1500 qdisc mq state DOWN qlen 1000
    link/ether d8:fc:93:30:f7:7d brd ff:ff:ff:ff:ff:ff
5: virbr0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN 
    link/ether 52:54:00:a7:98:e2 brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.1/24 brd 192.168.122.255 scope global virbr0
       valid_lft forever preferred_lft forever
6: virbr0-nic: <BROADCAST,MULTICAST> mtu 1500 qdisc pfifo_fast master virbr0 state DOWN qlen 500
    link/ether 52:54:00:a7:98:e2 brd ff:ff:ff:ff:ff:ff
[root@etg61tfp ~]# ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=56 time=119 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=56 time=180 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=56 time=122 ms
64 bytes from 8.8.8.8: icmp_seq=4 ttl=56 time=237 ms
64 bytes from 8.8.8.8: icmp_seq=5 ttl=56 time=206 ms
^C
--- 8.8.8.8 ping statistics ---
5 packets transmitted, 5 received, 0% packet loss, time 4005ms
rtt min/avg/max/mdev = 119.339/173.410/237.551/46.333 ms
[root@etg61tfp ~]# 


Dan/Steve,

To get this adapter working, I needed the following changes: 

*) add FCC Auth command to libqmi (BZ 1253943)
*) add FCC Auth command to ModemManager (BZ 1253946)
*) add USB IDs for your modem to kernel (BZ 1253955) 

Because these are tracked in the three new BZs, should this BZ be marked as a duplicate?

Comment 56 Dan Williams 2015-09-15 14:42:54 UTC
(In reply to JYundt from comment #55)
> Dan/Steve,
> 
> To get this adapter working, I needed the following changes: 
> 
> *) add FCC Auth command to libqmi (BZ 1253943)
> *) add FCC Auth command to ModemManager (BZ 1253946)
> *) add USB IDs for your modem to kernel (BZ 1253955) 
> 
> Because these are tracked in the three new BZs, should this BZ be marked as
> a duplicate?

Yes, I'll mark this bug as a duplicate to bug 1253946.  Thanks for the investigation everyone!

*** This bug has been marked as a duplicate of bug 1253946 ***


Note You need to log in before you can comment on or make changes to this bug.